#ifndef RUNABSTRACT_H
#define RUNABSTRACT_H

#include <QRunnable>
#include <QMutex>
#include <QMutexLocker>

#include <QJsonValue>
#include <QJsonArray>
#include <QJsonObject>
#include <QJsonDocument>

#include "InteractiveTask.h"
#include "InteractiveHttp.h"
#include "InteractiveData.h"

class RunAbstract : public QRunnable
{
public:
    RunAbstract(InteractiveTask *task = nullptr, QMutex *mutex = nullptr);
    virtual ~RunAbstract();

protected:
    void setRespond(const QVariant &respond);
    QVariant getRequest() const;

protected:
    InteractiveTask *m_pTask;
    QMutex *m_pMutex;
};



#endif // RUNABSTRACT_H
